package com.house365.util;

import java.io.Serializable;
import java.util.List;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/2/15</p>
 *
 * @author XN
 * @version 1.0
 */
public class RestObject<T> implements Serializable {

    /**
     */
    private static final long serialVersionUID = 1L;

    /**
     * 返回的实体对象列表
     */
    private List<T> list;

    private T entity;
    /**
     * 返回实体对象数
     */
    private String total;

    public T getEntity() {
        return entity;
    }

    public void setEntity(T entity) {
        this.entity = entity;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }
}
